Usage by tool
curl --request GET \
--url https://api.spidra.io/api/usage-stats/breakdown \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spidra.io/api/usage-stats/breakdown"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spidra.io/api/usage-stats/breakdown', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spidra.io/api/usage-stats/breakdown",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spidra.io/api/usage-stats/breakdown"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.spidra.io/api/usage-stats/breakdown")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spidra.io/api/usage-stats/breakdown")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"label": "<string>",
"date": "<string>",
"scrapeCredits": 123,
"crawlCredits": 123,
"searchCredits": 123,
"parseCredits": 123,
"mapCredits": 123
}
]
}Account
Usage by tool
Credits used per day, split by tool: scrape, crawl, search, parse and map.
GET
/
usage-stats
/
breakdown
Usage by tool
curl --request GET \
--url https://api.spidra.io/api/usage-stats/breakdown \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spidra.io/api/usage-stats/breakdown"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spidra.io/api/usage-stats/breakdown', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spidra.io/api/usage-stats/breakdown",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spidra.io/api/usage-stats/breakdown"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.spidra.io/api/usage-stats/breakdown")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spidra.io/api/usage-stats/breakdown")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"label": "<string>",
"date": "<string>",
"scrapeCredits": 123,
"crawlCredits": 123,
"searchCredits": 123,
"parseCredits": 123,
"mapCredits": 123
}
]
}Request
curl "https://api.spidra.io/api/usage-stats/breakdown?range=7d" \
-H "Authorization: Bearer $SPIDRA_API_KEY"
range is 1d, 7d or 30d, or custom with startDate and endDate (YYYY-MM-DD, up to 90 days apart).
Response
One row per day, shortened to two:{
"status": "success",
"data": [
{ "label": "Oct 19", "date": "2026-10-19", "scrapeCredits": 74, "crawlCredits": 0, "searchCredits": 0, "parseCredits": 0, "mapCredits": 0 },
{ "label": "Oct 20", "date": "2026-10-20", "scrapeCredits": 3, "crawlCredits": 0, "searchCredits": 0, "parseCredits": 0, "mapCredits": 0 }
]
}
scrapeCredits. Totals across every tool are in Usage stats.Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The period. custom needs startDate and endDate.
Available options:
1d, 7d, 30d, custom With range=custom: the first day (YYYY-MM-DD).
With range=custom: the last day, up to 90 days after startDate.
Was this page helpful?

